---
audience: developer
components:
  - functions
function: explanation
---

# Knative Functions overview

--8<-- "about-functions.md"

## Function templates

--8<-- "functions-templates-intro.md"

## Language packs

Functions can be written in any language supported by the available [language packs](https://github.com/knative/func/blob/main/docs/language-packs/language-pack-contract.md){target=_blank}.
<!--TODO: Remove and replace with lang pack snippet in future PR, similar to templates-->

## Getting started with functions

Before you can use Knative Functions, you must have access to a Knative development environment. To set up a development environment, you can follow the [Knative Quickstart tutorial](../getting-started/){target=_blank}.
